' Taktfrequenz des Quarzes einstellen (3,686411 MHz -> 1 Takt=0,00000027127s=0,27127ys)
$crystal = 3686411
' Verwendete CPU festlegen (ATmega8)
$regfile = "m8def.dat"
' alle Pin's an Port C als Ausgang festlegen
Config Portc = Output
' alle Pin's an Port B als Eingang festlegen
Config Portb = Input
' Interne Pullup Widerstnde setzten fr Taster Pin 0 & 1
Portb = &H03

' 65536-56320 = 9216*0.27127us = 2,5ms * 8(Vorteiler) = 20ms
Const Reload = 56320
' 1 Timertakt = 2,17us
Config Timer1 = Timer , Prescale = 8
Timer1 = Reload
On Timer1 Timer1_isr
Enable Timer1
Enable Interrupts

Dim Winkel As Word
Winkel = 700

' Hauptprogrammschleife
Do
 If Pinb.1 = 0 Then
 ' ist Schalter an Pin 2 Port D gedrckt
  If Winkel > 300 Then Winkel = Winkel - 1                  ' 0,65 ms
 Elseif Pinb.0 = 0 Then
 ' ist Schalter an Pin 3 Port D gedrckt
  If Winkel < 1100 Then Winkel = Winkel + 1                 ' 2,38 ms
 End If
 Waitms 2
Loop

End

Timer1_isr:
 If Pinc.0 = 1 Then
  ' Pause ca. 20 ms
  Portc.0 = 0
  Timer1 = Reload
 Else
  ' Impuls 0ms bis 2ms
  Portc.0 = 1
  Timer1 = 65536 - Winkel
 End If
Return